<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Menu"					                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

== Version 4.1b / January 2019 ==

*/

$mod_menu_license_type = license($activeModules['Menu']['lkey'],$activeModules['Menu']['mod_id']);
if (!$mod_menu_license_type) $mod_menu_registered = FALSE;

$navArray             = getNavigation();
$num_of_items         = count($navArray);
$activeRubric         = 'NV';

$highlight            = array();
$nav_element_id       = array();
$nav_childs           = array();
$nav_text             = array();
$nav_rubrik           = array();
$nav_rubrik_id        = array();
$nav_rubrik_directory = array();
$nav_rubrik_name      = array();
$nav_rubrik_sec       = array();
$nav_external_url     = array();
$nav_target           = array();
$level                = array();
$l                    = array();
$r                    = array();
$parent               = array();

if (!isset($_GET['rubric']))  $_GET['rubric'] = $_POST['rubric'];  // falls ein Formular der Aurufer war

// wenn keine Rubrik angegeben wird versuchen wir es rauszufinden...
if (!isset($_GET['rubric']) || $_GET['rubric'] == '')
{
	$rub_dir = basename(dirname($_SERVER['PHP_SELF'])); 
	$query = "SELECT id, directory, name, seclevel, source_rubric_id, settings "
			."FROM ".CPO_RUBRIC." WHERE directory = '".$rub_dir."'";
	$db_rub = new DB;
	$db_rub->query($query);
	if ($db_rub->num_rows()>0) {
		$db_rub->next_record();
		$_GET['rubric'] = $db_rub->v('id');
	}
}

if ($activeModules['Menu']['multilanguage'] == 'yes')  {
	$query = "SELECT caption, l, r FROM " . CPO_NAVTREE;
	DEBUG(2, $query, __FILE__, __LINE__);   
	$db_lang = new DB;
	$db_lang->query($query);
	while ($db_lang->next_record()):
		$nav_lang[$db_lang->v('caption')]['l'] = $db_lang->v('l');
		$nav_lang[$db_lang->v('caption')]['r'] = $db_lang->v('r');
	endwhile;
	$actLang = getTopNavCaption($navArray, $_GET['rubric']);
}

$nav_nr = 0;
for ($i=0;$i<$num_of_items;$i++)  {
	if ($mod_menu_registered === FALSE && $i > 15)  break;
	if (!($navArray[$i]['l'] > $nav_lang[$actLang]['l'] && $navArray[$i]['r'] < $nav_lang[$actLang]['r'] ) && $activeModules['Menu']['multilanguage'] == 'yes') continue;
		// Behandlung geschlossener Rubriken Start ***********************************
		if ( $activeModules['Menu']['show_closed'] == 0 && $navArray[$i]['rubric']['seclevel'] == 2 )  {
			$query = "SELECT COUNT(*) FROM " . CPO_RUBRIC_PERMISSION  ." WHERE rubric_id = '" . addslashes($navArray[$i]['rubric']['id']) . "' AND usergroups_id='" . addslashes($_SESSION['SID_user']['usergroups_id']) . "'";
			DEBUG(2, $query, __FILE__, __LINE__);   
			$db_sec = new DB;
			$db_sec->query($query);
			$db_sec->next_record();
				$usergroup_OK = false;
				if ($db_sec->v('COUNT(*)')>0) $usergroup_OK = true;
				if ($usergroup_OK || $_SESSION['SID_user']['admin']);
				else continue;
		}
		// Behandlung geschlossener Rubriken Ende ***************************

		$highlight[$nav_nr] = FALSE;
		$parent_key = '';
		if ($_GET['rubric'] == $navArray[$i]['rubric']['id'] OR $_GET['rubric'] == $navArray[$i]['rubric']['name'] OR $navID == $navArray[$i]['id'])  {
			$highlight[$nav_nr]	= ($navArray[$i]['rubric']['id']) ? TRUE : FALSE;
			$activeRubric	= $navArray[$i]['rubric']['id'];
			$actParent		= getParent($navArray, $navArray[$i]['rubric']['id']);
			$act_L			= $navArray[$i]['l'];
			$act_R			= $navArray[$i]['r'];
			$act_Level		= $navArray[$i]['level'];
			for ($p=$i;$p>=0;$p--)  {
				if ($navArray[$p]['level'] == ($activeModules['Menu']['multilanguage'] == 'yes' ? 2 : 1))  {				// Das ist der zugehrige Hauptpunkt
					$main_L			= $navArray[$p]['l'];
					$main_R			= $navArray[$p]['r'];
					$main_rubrik_id = $navArray[$p]['rubric']['id'];
					$main_highlight = $navArray[$p]['id'];
					break;
				}
			}
		}
		$nav_element_id[$nav_nr]		= $navArray[$i]['id'];
		$nav_childs[$nav_nr]			= $navArray[$i]['childs'];
		$nav_text[$nav_nr]				= $navArray[$i]['caption'];
		$nav_rubrik[$nav_nr]			= $navArray[$i]['rubric']['name'];
		$nav_rubrik_id[$nav_nr]			= $navArray[$i]['rubric']['id'];
		$nav_rubrik_directory[$nav_nr]	= $navArray[$i]['rubric']['directory'];
		$nav_rubrik_name[$nav_nr]		= $navArray[$i]['rubric']['name'];
		$nav_rubrik_sec[$nav_nr]		= $navArray[$i]['rubric']['seclevel'];
		$nav_external_url[$nav_nr]		= $navArray[$i]['navigation']['externalURL'];
		$nav_target[$nav_nr]			= $navArray[$i]['navigation']['externalURLTarget'];
		$level[$nav_nr]					= $navArray[$i]['level'];
		$l[$nav_nr]						= $navArray[$i]['l'];
		$r[$nav_nr]						= $navArray[$i]['r'];
		$parent[$nav_nr]				= getParent($navArray, $navArray[$i]['rubric']['id']);
		$nav_nr++;
}

$actNavArray = defineActiveNavigation($navArray, $activeRubric, 99, 0, true);
$actNavItems = menu_tree_active($activeRubric, $navArray);

?>
