<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Menu"					                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

== Version 4.1a / November 2013 ==

*/

$settings = array(
// Module settings -------------------------------------------------------------------------------------
	'nav_type'=>0,
	'prefix'=>array(
		'0'	=>	'',
		'1'	=>	'',
		'2'	=>	'&nbsp;&#149;&nbsp;',
		'3'	=>	'&nbsp;&nbsp;&nbsp;-&nbsp;'
		),
	'colors'=> array (
		'a_link'=>				'',
		'a_visited'=>			'',
		'a_active'=>			'',
		'a_hover'=>				'',
		'actual_background'=>	'',
		'actual_hover'=>		'',
		'main_background'=>		'',
		'main_hover'=>			'',
		'sub_background'=>		'',
		'sub_hover'=>			''
		),
	'classes'=> array (
		'class_main'=>		'rightLine',
		'class_base'=>		'baseLine',
		'class_highlight'=>	'activeLine',
		'class_header'=>	'headerLine'
		),
	
// template -------------------------------------------------------------------------------------
	'nav_vert'=>'
<!-- START_MOD_MENU_NAVIGATION -->
<table height="100%" border="0" cellpadding="0" cellspacing="0">
<tr>
    <td height="25" class="rightLine">&nbsp;</td>
</tr>
<!-- START_NAVITEM -->
  <tr>
    <td bgcolor="### NAV_MARK ###" nowrap class="### NAV_CLASS ###" valign="middle"><a href="### NAV_LINK ###" class="### NAV_CLASS ###Link"### NAV_TARGET ###>### NAV_PRE ### ### NAV_TEXT ###</a></td>
  </tr>
<!-- ENDE_NAVITEM -->
  <tr> 
    <td height="100%" nowrap class="rightLine">&nbsp;</td><!-- Fllt den Rest -->
  </tr>
</table>
<!-- ENDE_MOD_MENU_NAVIGATION -->
',
	
	'nav_horiz'=>'',

	'levchange'=>'',

	'levend'=>'',

	'css'=>'
.rightLine {
	border-right-width: 1px;
	border-right-style: solid;
	border-right-color: #000000;
	text-align: right;
}
.headerLine {
	border-right-width: 1px;
	border-right-style: solid;
	border-right-color: #000000;
	text-align: left;
	font-weight: bold;
	background-color: #EEEEEE;
}
.baseLine {
	border-right-width: 1px;
	border-right-style: solid;
	border-right-color: #000000;
	text-align: left;
	background-color: #F8F8F8;
}
.activeLine {
	border-top-width: 1px;
	border-bottom-width: 1px;
	border-left-width: 1px;
	border-top-style: solid;
	border-bottom-style: solid;
	border-left-style: solid;
	border-top-color: #000000;
	border-bottom-color: #000000;
	border-left-color: #000000;
	text-align: left;
	font-weight: bold;
}
a.rightLineLink { 
	font-weight: normal; 
	text-decoration: none; 
	font-family: Verdana,Arial,Helvetica; 
	font-size: 11px; 
	color: #000000;
	display: block;
	width: 150px;
	padding-left: 3px;
	padding-right: 3px;
	padding-top: 8px;
	padding-bottom: 8px;
}
a.rightLineLink:hover {
	background-color: #DDDDEE;
}
a.headerLineLink { 
	font-weight: bold;	
	text-decoration: none; 
	font-family: Verdana,Arial,Helvetica; 
	font-size: 11px; 
	color: #000000;
	display: block;
	width: 150px;
	padding-left: 3px;
	padding-right: 3px;
	padding-top: 8px;
	padding-bottom: 8px;
}
a.headerLineLink:hover {
	background-color: #DDDDEE;
}
a.baseLineLink { 
	font-weight: normal; 
	text-decoration: none; 
	font-family: Verdana,Arial,Helvetica; 
	font-size: 11px; 
	color: #000000;
	display: block;
	width: 150px;
	padding-left: 3px;
	padding-right: 3px;
	padding-top: 8px;
	padding-bottom: 8px;
}
a.baseLineLink:hover {
	background-color: #DDDDEE;
}a.activeLineLink { 
	font-weight: bold;	
	text-decoration: none; 
	font-family: Verdana,Arial,Helvetica; 
	color: #000000;
	font-size: 11px; 
	display: block;
	width: 150px;
	padding-left: 3px;
	padding-right: 3px;
	padding-top: 8px;
	padding-bottom: 8px;
}
a.activeLineLink:hover {
	background-color: #DDDDEE;
}
'

);


?>