<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Menu"					                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

== Version 4.1b / January 2019 ==

*/

// Einlesen von Conpresso 3.4.x mod_menu templates ******************************************************

function mod_menu_template_convert($file)  {
	$template_datei = dirname(__FILE__)."/".$file;
	$inhalt_tpl  = file ($template_datei);
	while (list ($zeilennummer, $zeile) = each ($inhalt_tpl)) $tpl_string .= $zeile;
	return $tpl_string;
}

if (file_exists(dirname(__FILE__)."/nav_extras.php"))	include (dirname(__FILE__)."/nav_extras.php");
if (file_exists(dirname(__FILE__)."/menu.cfg"))			include (dirname(__FILE__)."/menu.cfg");

$settings = array(

// template -------------------------------------------------------------------------------------

	'css'		=>	mod_menu_template_convert("style.css"),

	'nav_horiz'	=>	mod_menu_template_convert("nav_horiz.tpl"),

	'nav_vert'	=>	mod_menu_template_convert("nav_vert.tpl"),
	
	'levchange'	=>	$levchange_template,

	'levend'	=>	$levend_template


);


?>